#
# spec file for package libplatform
#
%define name p8-platform
%define version 2.1.0.1
%define release %mkrel 1
%define major 2
%define libname %mklibname %{name} %major
%define develname %mklibname -d %{name} 

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Platform support library used by libCEC and binary add-ons for Kodi
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://github.com/Pulse-Eight/platform
Source:         https://github.com/Pulse-Eight/platform/archive/lib-%name-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Platform support library used by libCEC and binary add-ons for Kodi.

%package -n %libname
Group:	System/Libraries
Summary:        Platform support library used by libCEC and binary add-ons for Kodi

%description -n %libname
Platform support library used by libCEC and binary add-ons for Kodi.

%package -n %develname
Group: Development/Libraries
Summary:        Platform support library used by libCEC development files
Requires:       %libname

%description -n %develname
Development files for platform support library used by libCEC.

%prep
%setup -qnlib-%{name}-%{version}

%build
%cmake
%make

%install
rm -rf %buildroot

cd build

make DESTDIR=%buildroot install


%files -n %libname
%defattr(-,root,root)
%{_libdir}/libp8-platform.so.2.1.0
%{_libdir}/libp8-platform.so.%major

%files -n %develname
%defattr(-,root,root)
%{_libdir}/libp8-platform.so
%{_includedir}
%{_libdir}/pkgconfig/p8-platform.pc
%{_libdir}/p8-platform
%{_libdir}/p8-platform/p8-platform-config.cmake

%changelog
* Mon May 29 2017 adrianomorselli <adrianomorselli> 2.1.0.0-1uplos2017
- update
